[android-components](../../index.md) / [mozilla.components.service.fretboard](../index.md) / [ExperimentDescriptor](./index.md)

# ExperimentDescriptor

`data class ExperimentDescriptor` [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/service/fretboard/src/main/java/mozilla/components/service/fretboard/ExperimentDescriptor.kt#L12)

Class used to identify an experiment

### Constructors

| Name | Summary |
|---|---|
| [&lt;init&gt;](-init-.md) | `ExperimentDescriptor(name: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)`)`<br>Class used to identify an experiment |

### Properties

| Name | Summary |
|---|---|
| [name](name.md) | `val name: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)<br>experiment name |
